Page MenuHomePhabricator

Implement Link Counter
Closed, ResolvedPublic5 Story Points

Description

Acceptance Criteria:

  • identify the links according to the requirements documented on T224832
  • show the number of links on the page

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterbridge: make init js testable
mediawiki/extensions/Wikibase : masterbridge: Make linkcounter somewhat testable
mediawiki/extensions/Wikibase : masterImplement basic link counter
mediawiki/extensions/Wikibase : masterbridge: Implement basic link counter in typescript

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 17 2019, 12:22 PM
darthmon_wmde updated the task description. (Show Details)
darthmon_wmde updated the task description. (Show Details)
darthmon_wmde edited projects, added Wikidata-Bridge; removed Wikidata-Bridge-Sprint-0.
darthmon_wmde set the point value for this task to 5.Jun 17 2019, 12:28 PM
darthmon_wmde moved this task from Ready to estimate to Ready to pick up on the Wikidata-Bridge board.

Change 517659 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[mediawiki/extensions/Wikibase@master] Implement basic link counter

https://gerrit.wikimedia.org/r/517659

Change 518255 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[mediawiki/extensions/Wikibase@master] bridge: Implement basic link counter in typescript

https://gerrit.wikimedia.org/r/518255

Michael moved this task from To do to Doing on the Wikidata-Bridge-Sprint-0 board.Jun 21 2019, 1:19 PM
Addshore moved this task from incoming to in progress on the Wikidata board.Jun 21 2019, 11:23 PM

Change 518678 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[mediawiki/extensions/Wikibase@master] bridge: Make linkcounter somewhat testable

https://gerrit.wikimedia.org/r/518678

Change 518255 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: Implement basic link counter in typescript

https://gerrit.wikimedia.org/r/518255

Change 517659 abandoned by Michael Große:
Implement basic link counter

Reason:
superseded by Ia0ab4326db

https://gerrit.wikimedia.org/r/517659

Change 518678 abandoned by Michael Große:
bridge: Make linkcounter somewhat testable

Reason:
we decided to go with Ie8bd0798b3c26a0022d309e6498706452346bb49

https://gerrit.wikimedia.org/r/518678

Michael claimed this task.Jun 25 2019, 11:02 AM
Michael moved this task from Doing to Peer Review on the Wikidata-Bridge-Sprint-0 board.
Restricted Application added a project: User-Michael. · View Herald TranscriptJun 25 2019, 11:02 AM

Change 518711 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[mediawiki/extensions/Wikibase@master] bridge: make init js testable

https://gerrit.wikimedia.org/r/518711

Change 518711 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: make init js testable

https://gerrit.wikimedia.org/r/518711

For now, you can test this on the beta cluster by running mw.loader.using( 'wikibase.client.data-bridge.init' ) in the web console. (With T226816: Enable data bridge on Wikidata Beta, that will no longer be necessary.) On this test page, the following message should get logged:

Number of links potentially usable for data bridge: 3

(Once T226494: Create configuration for matching regex is implemented and the corresponding config deployed, that number should change to 2.)

(With T226609: Create rudimentary bridge app and export via ResourceLoader deployed, you will now only see a “hello world” text without the number of links.)

Pablo-WMDE closed this task as Resolved.Jul 3 2019, 9:26 AM